<?xml version='1.0' encoding='ISO-8859-1' standalone='yes'?>
<tagfile>
  <compound kind="group">
    <name>gsi_driver</name>
    <title>Globus XIO GSI Driver</title>
    <filename>group__gsi__driver.html</filename>
    <subgroup>gsi_driver_instance</subgroup>
    <subgroup>gsi_driver_io</subgroup>
    <subgroup>gsi_driver_server</subgroup>
    <subgroup>gsi_driver_envs</subgroup>
    <subgroup>gsi_driver_cntls</subgroup>
    <subgroup>gsi_driver_types</subgroup>
    <subgroup>gsi_driver_errors</subgroup>
  </compound>
  <compound kind="group">
    <name>gsi_driver_instance</name>
    <title>Opening/Closing</title>
    <filename>group__gsi__driver__instance.html</filename>
  </compound>
  <compound kind="group">
    <name>gsi_driver_io</name>
    <title>Reading/Writing</title>
    <filename>group__gsi__driver__io.html</filename>
  </compound>
  <compound kind="group">
    <name>gsi_driver_server</name>
    <title>Server</title>
    <filename>group__gsi__driver__server.html</filename>
  </compound>
  <compound kind="group">
    <name>gsi_driver_envs</name>
    <title>Env Variables</title>
    <filename>group__gsi__driver__envs.html</filename>
  </compound>
  <compound kind="group">
    <name>gsi_driver_cntls</name>
    <title>Attributes and Cntls</title>
    <filename>group__gsi__driver__cntls.html</filename>
    <member kind="enumeration">
      <name>globus_xio_gsi_cmd_t</name>
      <anchor>ga31</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_SET_CREDENTIAL</name>
      <anchor>gga31a10</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_GET_CREDENTIAL</name>
      <anchor>gga31a11</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_SET_GSSAPI_REQ_FLAGS</name>
      <anchor>gga31a12</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_GET_GSSAPI_REQ_FLAGS</name>
      <anchor>gga31a13</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_SET_PROXY_MODE</name>
      <anchor>gga31a14</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_GET_PROXY_MODE</name>
      <anchor>gga31a15</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_SET_AUTHORIZATION_MODE</name>
      <anchor>gga31a16</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_GET_AUTHORIZATION_MODE</name>
      <anchor>gga31a17</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_SET_DELEGATION_MODE</name>
      <anchor>gga31a18</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_GET_DELEGATION_MODE</name>
      <anchor>gga31a19</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_SET_SSL_COMPATIBLE</name>
      <anchor>gga31a20</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_SET_ANON</name>
      <anchor>gga31a21</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_SET_WRAP_MODE</name>
      <anchor>gga31a22</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_GET_WRAP_MODE</name>
      <anchor>gga31a23</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_SET_BUFFER_SIZE</name>
      <anchor>gga31a24</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_GET_BUFFER_SIZE</name>
      <anchor>gga31a25</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_SET_PROTECTION_LEVEL</name>
      <anchor>gga31a26</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_GET_PROTECTION_LEVEL</name>
      <anchor>gga31a27</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_GET_TARGET_NAME</name>
      <anchor>gga31a28</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_SET_TARGET_NAME</name>
      <anchor>gga31a29</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_GET_CONTEXT</name>
      <anchor>gga31a30</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_GET_DELEGATED_CRED</name>
      <anchor>gga31a31</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_GET_PEER_NAME</name>
      <anchor>gga31a32</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_GET_LOCAL_NAME</name>
      <anchor>gga31a33</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_INIT_DELEGATION</name>
      <anchor>gga31a34</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_REGISTER_INIT_DELEGATION</name>
      <anchor>gga31a35</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_ACCEPT_DELEGATION</name>
      <anchor>gga31a36</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_REGISTER_ACCEPT_DELEGATION</name>
      <anchor>gga31a37</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_FORCE_SERVER_MODE</name>
      <anchor>gga31a38</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_xio_attr_cntl</name>
      <anchor>ga0</anchor>
      <arglist>(attr, driver, GLOBUS_XIO_GSI_SET_CREDENTIAL, gss_cred_id_t credential)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_xio_handle_cntl</name>
      <anchor>ga1</anchor>
      <arglist>(handle, driver, GLOBUS_XIO_GSI_SET_CREDENTIAL, gss_cred_id_t credential)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_xio_attr_cntl</name>
      <anchor>ga2</anchor>
      <arglist>(attr, driver, GLOBUS_XIO_GSI_GET_CREDENTIAL, gss_cred_id_t *credential)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_xio_handle_cntl</name>
      <anchor>ga3</anchor>
      <arglist>(handle, driver, GLOBUS_XIO_GSI_GET_CREDENTIAL, gss_cred_id_t *credential)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_xio_attr_cntl</name>
      <anchor>ga4</anchor>
      <arglist>(attr, driver, GLOBUS_XIO_GSI_SET_GSSAPI_REQ_FLAGS, OM_uint32 req_flags)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_xio_attr_cntl</name>
      <anchor>ga5</anchor>
      <arglist>(attr, driver, GLOBUS_XIO_GSI_GET_GSSAPI_REQ_FLAGS, OM_uint32 *req_flags)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_xio_attr_cntl</name>
      <anchor>ga6</anchor>
      <arglist>(attr, driver, GLOBUS_XIO_GSI_SET_PROXY_MODE, globus_xio_gsi_proxy_mode_t proxy_mode)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_xio_attr_cntl</name>
      <anchor>ga7</anchor>
      <arglist>(attr, driver, GLOBUS_XIO_GSI_GET_PROXY_MODE, globus_xio_gsi_proxy_mode_t *proxy_mode)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_xio_attr_cntl</name>
      <anchor>ga8</anchor>
      <arglist>(attr, driver, GLOBUS_XIO_GSI_SET_AUTHORIZATION_MODE, globus_xio_gsi_authorization_mode_t authz_mode)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_xio_attr_cntl</name>
      <anchor>ga9</anchor>
      <arglist>(attr, driver, GLOBUS_XIO_GSI_GET_AUTHORIZATION_MODE, globus_xio_gsi_authorization_mode_t *authz_mode)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_xio_attr_cntl</name>
      <anchor>ga10</anchor>
      <arglist>(attr, driver, GLOBUS_XIO_GSI_SET_DELEGATION_MODE, globus_xio_gsi_delegation_mode_t delegation_mode)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_xio_attr_cntl</name>
      <anchor>ga11</anchor>
      <arglist>(attr, driver, GLOBUS_XIO_GSI_GET_DELEGATION_MODE, globus_xio_gsi_delegation_mode_t *delegation_mode)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_xio_attr_cntl</name>
      <anchor>ga12</anchor>
      <arglist>(attr, driver, GLOBUS_XIO_GSI_SET_SSL_COMPATIBLE, globus_bool_t ssl_mode)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_xio_attr_cntl</name>
      <anchor>ga13</anchor>
      <arglist>(attr, driver, GLOBUS_XIO_GSI_SET_ANON, globus_bool_t anon_mode)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_xio_attr_cntl</name>
      <anchor>ga14</anchor>
      <arglist>(attr, driver, GLOBUS_XIO_GSI_SET_WRAP_MODE, globus_boolean_t wrap_mode)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_xio_attr_cntl</name>
      <anchor>ga15</anchor>
      <arglist>(attr, driver, GLOBUS_XIO_GSI_GET_WRAP_MODE, globus_boolean_t *wrap_mode)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_xio_attr_cntl</name>
      <anchor>ga16</anchor>
      <arglist>(attr, driver, GLOBUS_XIO_GSI_SET_BUFFER_SIZE, globus_size_t buffer_size)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_xio_attr_cntl</name>
      <anchor>ga17</anchor>
      <arglist>(attr, driver, GLOBUS_XIO_GSI_GET_BUFFER_SIZE, globus_size_t *buffer_size)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_xio_attr_cntl</name>
      <anchor>ga18</anchor>
      <arglist>(attr, driver, GLOBUS_XIO_GSI_SET_PROTECTION_LEVEL, globus_xio_gsi_protection_level_t protection_level)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_xio_attr_cntl</name>
      <anchor>ga19</anchor>
      <arglist>(attr, driver, GLOBUS_XIO_GSI_GET_PROTECTION_LEVEL, globus_xio_gsi_protection_level_t *protection_level)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_xio_attr_cntl</name>
      <anchor>ga20</anchor>
      <arglist>(attr, driver, GLOBUS_XIO_GSI_GET_TARGET_NAME, gss_name_t *target_name)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_xio_attr_cntl</name>
      <anchor>ga21</anchor>
      <arglist>(attr, driver, GLOBUS_XIO_GSI_SET_TARGET_NAME, gss_name_t target_name)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_xio_handle_cntl</name>
      <anchor>ga22</anchor>
      <arglist>(handle, driver, GLOBUS_XIO_GSI_GET_CONTEXT, gss_ctx_id_t *context)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_xio_handle_cntl</name>
      <anchor>ga23</anchor>
      <arglist>(handle, driver, GLOBUS_XIO_GSI_GET_DELEGATED_CRED, gss_cred_id_t *credential)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_xio_handle_cntl</name>
      <anchor>ga24</anchor>
      <arglist>(handle, driver, GLOBUS_XIO_GSI_GET_PEER_NAME, gss_name_t *peer_name)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_xio_handle_cntl</name>
      <anchor>ga25</anchor>
      <arglist>(handle, driver, GLOBUS_XIO_GSI_GET_LOCAL_NAME, gss_name_t *local_name)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_xio_handle_cntl</name>
      <anchor>ga26</anchor>
      <arglist>(handle, driver, GLOBUS_XIO_GSI_INIT_DELEGATION, gss_cred_id_t credential, gss_OID_set restriction_oids, gss_buffer_set_t restriction_buffers, OM_uint32 time_req)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_xio_handle_cntl</name>
      <anchor>ga27</anchor>
      <arglist>(handle, driver, GLOBUS_XIO_GSI_REGISTER_INIT_DELEGATION, gss_cred_id_t credential, gss_OID_set restriction_oids, gss_buffer_set_t restriction_buffers, OM_uint32 time_req, globus_xio_gsi_delegation_init_callback_t callback, void *callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_xio_handle_cntl</name>
      <anchor>ga28</anchor>
      <arglist>(handle, driver, GLOBUS_XIO_GSI_ACCEPT_DELEGATION, gss_cred_id_t *credential, gss_OID_set restriction_oids, gss_buffer_set_t restriction_buffers, OM_uint32 time_req)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_xio_handle_cntl</name>
      <anchor>ga29</anchor>
      <arglist>(handle, driver, GLOBUS_XIO_GSI_REGISTER_ACCEPT_DELEGATION, gss_OID_set restriction_oids, gss_buffer_set_t restriction_buffers, OM_uint32 time_req, globus_xio_gsi_delegation_accept_callback_t callback, void *callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_xio_attr_cntl</name>
      <anchor>ga30</anchor>
      <arglist>(attr, driver, GLOBUS_XIO_GSI_FORCE_SERVER_MODE, globus_bool_t server_mode)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>gsi_driver_types</name>
    <title>Types</title>
    <filename>group__gsi__driver__types.html</filename>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_xio_gsi_delegation_init_callback_t</name>
      <anchor>ga0</anchor>
      <arglist>)(globus_result_t result, void *user_arg)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_xio_gsi_delegation_accept_callback_t</name>
      <anchor>ga1</anchor>
      <arglist>)(globus_result_t result, gss_cred_id_t delegated_cred, OM_uint32 time_rec, void *user_arg)</arglist>
    </member>
    <member kind="enumeration">
      <name>globus_xio_gsi_protection_level_t</name>
      <anchor>ga2</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_PROTECTION_LEVEL_NONE</name>
      <anchor>gga2a39</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_PROTECTION_LEVEL_INTEGRITY</name>
      <anchor>gga2a40</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_PROTECTION_LEVEL_PRIVACY</name>
      <anchor>gga2a41</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>globus_xio_gsi_delegation_mode_t</name>
      <anchor>ga3</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_DELEGATION_MODE_NONE</name>
      <anchor>gga3a42</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_DELEGATION_MODE_LIMITED</name>
      <anchor>gga3a43</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_DELEGATION_MODE_FULL</name>
      <anchor>gga3a44</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>globus_xio_gsi_proxy_mode_t</name>
      <anchor>ga4</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_PROXY_MODE_FULL</name>
      <anchor>gga4a45</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_PROXY_MODE_LIMITED</name>
      <anchor>gga4a46</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_PROXY_MODE_MANY</name>
      <anchor>gga4a47</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>globus_xio_gsi_authorization_mode_t</name>
      <anchor>ga5</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_NO_AUTHORIZATION</name>
      <anchor>gga5a48</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_SELF_AUTHORIZATION</name>
      <anchor>gga5a49</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_IDENTITY_AUTHORIZATION</name>
      <anchor>gga5a50</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_HOST_AUTHORIZATION</name>
      <anchor>gga5a51</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>gsi_driver_errors</name>
    <title>Error Types</title>
    <filename>group__gsi__driver__errors.html</filename>
    <member kind="enumeration">
      <name>globus_xio_gsi_error_t</name>
      <anchor>ga0</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_ERROR_INVALID_PROTECTION_LEVEL</name>
      <anchor>gga0a4</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_ERROR_WRAP_GSSAPI</name>
      <anchor>gga0a5</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_ERROR_EMPTY_TARGET_NAME</name>
      <anchor>gga0a6</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_ERROR_EMPTY_HOST_NAME</name>
      <anchor>gga0a7</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_AUTHORIZATION_FAILED</name>
      <anchor>gga0a8</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_XIO_GSI_ERROR_TOKEN_TOO_BIG</name>
      <anchor>gga0a9</anchor>
      <arglist></arglist>
    </member>
  </compound>
</tagfile>
